com.pdfunit.validators

## Class CompliesWithValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.CompliesWithValidator

-     @DoNotObfuscate
      public final class CompliesWithValidator
      extends com.pdfunit.validators.AbstractValidator

  This class provides methods to invoke matchers which are following the syntax ...compliesWith().xx(). The xx()-methods are implemented in this class.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompliesWithValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `constraints(PDFValidationConstraints validationConstraints)`
    `void` | `din5008FormA()`
    `void` | `din5008FormB()`
    `void` | `pdfStandard(Standard standard)`
    `void` | `zugferdSpecification(ZugferdVersion zugferdVersion)`

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompliesWithValidator

          public CompliesWithValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### zugferdSpecification

          public void zugferdSpecification(ZugferdVersion zugferdVersion)

    - #### constraints

          public void constraints(PDFValidationConstraints validationConstraints)

    - #### din5008FormA

          public void din5008FormA()

    - #### din5008FormB

          public void din5008FormB()

    - #### pdfStandard

          public void pdfStandard(Standard standard)

Copyright (C) PDFUnit.com. See here for license.